<?php
require('../cfg/res.php');
require('../cfg/cfg.php');
require('../../_lib/vrdocu0.php');

// die();
$docur=new vrdocu0('../cfg/res.php',$_POST['docu']);
$docu=strtoupper($_POST['docu']);
$ptoe=$_POST['ptoe'];
$ptov=$_POST['ptov'];
$caja=$_POST['caja'];
$ctab=$_POST['ctab'];
$bode=$_POST['bode'];
$enti=$_POST['enti'];
$numeror=$_POST['numero'];
$numeror=str_pad($numeror,9,"0",STR_PAD_LEFT);

$tdocu=substr($docu,0,2);

$sql_exist='select * from '.$docur->tabla.'1  where docu="'.$docu.'"';

if(mb_stristr('fp.nc.rc.rp.gr',$tdocu)){$sql_exist.=' and ptoe="'.$ptoe.'"';}

if(mb_stristr('fc.nv',$tdocu)){$sql_exist.=' and ptov="'.$ptov.'"';}

if(mb_stristr('ib.eb',$tdocu))
{
	 $bode_sql='select bode_ptoe from bode0 where bode_codigo="'.$bode.'"';
	 $bode_res=mysql_query($bode_sql,$link_vcrx);
	 if(mysql_num_rows($bode_res)==0){$ptoe='001001';}
	 else{$ptoe=mysql_result($bode_res,0,'bode_ptoe');}
	 $sql_exist.=' and ptoe="'.$ptoe.'"';
	 $sql_exist.=' and bode="'.$bode.'"';
}

if(mb_stristr('ie.iv',$tdocu)){$sql_exist.=' and caja="'.$caja.'"';}

if(mb_stristr('ch.dc.db.dp',$tdocu)){$sql_exist.=' and ctab="'.$ctab.'"';}

if(mb_stristr('fp.rc',$tdocu)){$sql_exist.=' and enti="'.$enti.'"';}

if(mb_stristr('nm',$tdocu))
{
	$sql_exist.=' and enti!="" and enti is not null';
	$sql_exist.=' and enti like "'.substr($enti,0,10).'%"';
	$sql_exist.=' and status!="X"';
	$sql_exist.=' and fecha<now()';
	$sql_exist.=' order by fecha desc,idnum1';
//   echo '***'.$sql_exist;
}
else
{	
$sql_exist.=' and numero="'.$numeror.'"';
$sql_exist.=' and status!="X"';
}

//echo '<input type="hidden" id="sql" value="'.$sql_exist.'" />';
// echo $sql_exist;
$res_exist=mysql_query($sql_exist,$link_vcrx);

$idnum='Error';

$fecha=date("Y-m-d");
$fecha_auto=date("d-m-Y");
$tiempo_auto='00:00:00';
$drtr='';
$bldn='';
$sntr='';
// $vhcl='';
$refnume='';

if(mysql_num_rows($res_exist)!=0 )
{
	$idnum=mysql_result($res_exist,0,'idnum1');
	$concepto_exist=mysql_result($res_exist,0,'concepto');
	$fecha=mysql_result($res_exist,0,'fecha');
  $stfin=mysql_result($res_exist,0,'stfin');
	if(mb_stristr('rcsa.demo',$empr_codigo))
	{
		$sntr=mysql_result($res_exist,0,'sntr');
		$vhcl=mysql_result($res_exist,0,'vhcl');
	}

	if(mb_stristr('apri',$empr_codigo))
	{
		$bldn=mysql_result($res_exist,0,'bldn');
	}

	if(mb_stristr('gnya',$empr_codigo))
	{
// 		$drtr=mysql_result($res_exist,0,'drtr');
	}

  if(mb_stristr('ecgl.demo',$empr_codigo))
	{
		$refnume=@mysql_result($res_exist,0,'refnume');
// 		$vhcl=mysql_result($res_exist,0,'vhcl');
	}

  
	if($docur->tabla=='guia')
	{
		$cedula1=substr(mysql_result($res_exist,0,'cedula1'),0,10);
		$plazo=mysql_result($res_exist,0,'plazo');
		$vhcl=mysql_result($res_exist,0,'placa');
		$punto1=mysql_result($res_exist,0,'punto1');
		$punto2=mysql_result($res_exist,0,'punto2');
		$numfac=mysql_result($res_exist,0,'numfac');
//     echo $vhcl.$punto1;
  }
  
	if($docur->tabla=='comp')
	{
// 		$atrz_ruc=substr(mysql_result($res_exist,0,'atrznume'),14,13);
		$atrz_ruc=substr(mysql_result($res_exist,0,'enti'),0,10).'001';
		$atrz_nume=mysql_result($res_exist,0,'atrz');
		$fecha_auto=substr(mysql_result($res_exist,0,'atrznume'),0,2).'-'.substr(mysql_result($res_exist,0,'atrznume'),2,2).'-'.substr(mysql_result($res_exist,0,'atrznume'),4,4);
		$tiempo_auto=substr(mysql_result($res_exist,0,'atrznume'),8,2).':'.substr(mysql_result($res_exist,0,'atrznume'),10,2).':'.substr(mysql_result($res_exist,0,'atrznume'),12,2);
// 		$ruc_auto=substr(mysql_result($res_exist,0,'atrznume'),14,13);
		$ruc_auto=substr(mysql_result($res_exist,0,'enti'),0,10).'001';
		$suco=mysql_result($res_exist,0,'suco');
		$sql_suco='select *from suco0 where suco_codigo="'.$suco.'"';
		$res_suco=mysql_query($sql_suco,$link_vcrx);
		if(mysql_num_rows($res_suco)!=0){$suco_descri=mysql_result($res_suco,0,'suco_descri');}
		$fpag=mysql_result($res_exist,0,'fpag');
		$sql_fpag='select *from fpag0 where fpag_codigo="'.$fpag.'"';
		$res_fpag=mysql_query($sql_fpag,$link_vcrx);
		if(mysql_num_rows($res_fpag)!=0){$fpag_descri=mysql_result($res_fpag,0,'fpag_descri');}
	}

	if($docur->tabla.''=='inve')
	{	$bode=mysql_result($res_exist,0,'bode');
		$tobode=mysql_result($res_exist,0,'tobode');
		$sql_bode='select *from bode0 where bode_codigo="'.$bode.'"';
		$res_bode=mysql_query($sql_bode,$link_vcrx);
		$bode_descri=mysql_result($res_bode,0,'bode_descri');
		$sql_bode='select *from bode0 where bode_codigo="'.$tobode.'"';
		$res_bode=mysql_query($sql_bode,$link_vcrx);
		if(mysql_num_rows($res_bode)!=0){$tobode_descri=mysql_result($res_bode,0,'bode_descri');}		
	}

	if($docur->tabla=='vtas' or $docur->tabla=='clie')
	{
		$vendedor=mysql_result($res_exist,0,'vndd');
		$vndd=mysql_result($res_exist,0,'vndd');
		$plazo=mysql_result($res_exist,0,'plazo').' ';
		$attn=mysql_result($res_exist,0,'attn');
		$atencion=mysql_result($res_exist,0,'atencion');
		if(isset($vendedor) || !empty($vendedor) || $vendedor!='-')
		{
			$sql_vendedor='select enti_descri from enti0 where enti_codigo="'.$vendedor.'"';
			$res_vendedor=mysql_query($sql_vendedor,$link_vcrx);
			if(mysql_num_rows($res_vendedor)!=0){$vendedor_descri=mysql_result($res_vendedor,0,'enti_descri');}
		}
	}
	
	$enti_exist=mysql_result($res_exist,0,'enti');
	if(isset($enti_exist) && !empty($enti_exist))
	{
		$sql_enti='select * from enti0 where enti_codigo="'.$enti_exist.'"';
		$res_enti=mysql_query($sql_enti,$link_vcrx);
		if(mysql_num_rows($res_enti)!=0){$descri_enti=mysql_result($res_enti,0,'enti_descri');}
	}
	
	if('gnya'==$empr_codigo && $docur->tabla.''=='vtas')
	{
		$enti_drtr=mysql_result($res_exist,0,'drtr');
		echo '<input type="hidden" id="hdd_enti_drtr_cod" value="'.$enti_drtr.'"  />';
		$sql_drtr='select * from enti0 where enti_codigo="'.$enti_drtr.'"';
		$res_drtr=mysql_query($sql_drtr,$link_vcrx);
		if(mysql_num_rows($res_drtr)!=0)
    {
			$descri_drtr=mysql_result($res_drtr,0,'enti_descri');
			//echo '<input type="hidden" id="hdd_enti_drtr_descri" value="'.$descri_drtr.'"  />';
  	}
		else
    {
                       //echo '<input type="hidden" id="hdd_enti_drtr_descri" value=""  />';
     }		
	}
	

	
/////////
$arr = array(
			'hdd_enti_cod'        => $enti_exist,
			'hdd_enti_descri'     => $descri_enti,
			'hdd_enti_concepto'   => $concepto_exist,
			'hdd_idxreg2'         => $idnum,
			'hdd_docuxreg2'       => $docur->tabla,
			'hdd_fecha'           => $fecha,
			'hdd_atrz_ruc'        => $atrz_ruc,
			'hdd_atrz_nume'       => $atrz_nume,
			'hdd_bode'            => $bode,
			'hdd_bode_descri'     => $bode_descri,
			'hdd_tobode'          => $tobode,
			'hdd_tobode_descri'   => $tobode_descri,
			'hdd_tobode'          => $tobode,
			'hdd_attn'        => $attn,
			'hdd_atencion'        => $atencion,
			'hdd_plazo'        => $plazo,
			'hdd_vndd'        => $vendedor,
			'hdd_vendedor'        => $vendedor,
			'hdd_vendedor_descri' => $vendedor_descri,
			'hdd_fecha_auto'      => $fecha_auto,
			'hdd_tiempo_auto'     => $tiempo_auto,
			'hdd_ruc_auto'        => $ruc_auto,
			'hdd_suco'            => $suco,
			'hdd_suco_descri'     => $suco_descri,
			'hdd_fpag'            => $fpag,
			'hdd_fpag_descri'     => $fpag_descri,
    	'hdd_drtr_cod'        => $enti_drtr,
   		'hdd_drtr_descri'     => $descri_drtr,
			'hdd_bldn'            => $bldn,
			'hdd_refnume'         => $refnume,
			'hdd_sntr'            => $sntr,
			'hdd_sntr_descri'     => $sntr_descri,
			'hdd_vhcl'            => $vhcl,
			'hdd_vhcl_descri'     => $vhcl_descri,
			'hdd_cedula1'            => $cedula1,
			'hdd_punto1'            => $punto1,
			'hdd_punto2'            => $punto2,
			'hdd_numfac'            => $numfac,
			'hdd_stfin'           => $stfin
			//'hdd_sql'             => $sql_exist,
			//'hdd_sql_error'       => mysql_error($link_vcrx)
			);
//echo json_encode($arr);

// usleep(2000000);
echo 
'<resultado>
<hdd_idxreg2>'.$idnum.'</hdd_idxreg2>
	<hdd_enti_cod>'.$enti_exist.'</hdd_enti_cod>
<hdd_enti_descri>'.$descri_enti.'</hdd_enti_descri>
<hdd_enti_concepto>'.$concepto_exist.'</hdd_enti_concepto>
        <hdd_fecha>'.$fecha.'</hdd_fecha>
	<hdd_atrz_ruc>'.$atrz_ruc.'</hdd_atrz_ruc>
	<hdd_atrz_nume>'.$atrz_nume.'</hdd_atrz_nume>
	<hdd_bode>'.$bode.'</hdd_bode>
	<hdd_bode_descri>'.$bode_descri.'</hdd_bode_descri>
	<hdd_tobode>'.$tobode.'</hdd_tobode>
	<hdd_tobode_descri>'.$tobode_descri.'</hdd_tobode_descri>
	<hdd_tobode>'.$tobode.'</hdd_tobode>
	<hdd_plazo>'.$plazo.'</hdd_plazo>
	<hdd_attn>'.$attn.'</hdd_attn>
	<hdd_atencion>'.$atencion.'</hdd_atencion>
	<hdd_vndd>'.$vendedor.'</hdd_vndd>
	<hdd_vendedor>'.$vendedor.'</hdd_vendedor>
	<hdd_vendedor_descri>'.$vendedor_descri.'</hdd_vendedor_descri>
	<hdd_fecha_auto>'.$fecha_auto.'</hdd_fecha_auto>
	<hdd_tiempo_auto>'.$tiempo_auto.'</hdd_tiempo_auto>
	<hdd_ruc_auto>'.$ruc_auto.'</hdd_ruc_auto>
	<hdd_suco>'.$suco.'</hdd_suco>
	<hdd_suco_descri>'.$suco_descri.'</hdd_suco_descri>
	<hdd_fpag>'.$fpag.'</hdd_fpag>
	<hdd_fpag_descri>'.$fpag_descri.'</hdd_fpag_descri>
    <hdd_drtr_cod>'.$enti_drtr.'</hdd_drtr_cod>
    <hdd_drtr_descri>'.$descri_drtr.'</hdd_drtr_descri>
    <hdd_bldn>'.$bldn.'</hdd_bldn>
    <hdd_refnume>'.$refnume.'</hdd_refnume>
    <hdd_sntr>'.$sntr.'</hdd_sntr>
    <hdd_sntr_descri>'.$sntr_descri.'</hdd_sntr_descri>
    <hdd_vhcl>'.$vhcl.'</hdd_vhcl>
    <hdd_vhcl_descri>'.$vhcl_descri.'</hdd_vhcl_descri>
    <hdd_cedula1>'.$cedula1.'</hdd_cedula1>
    <hdd_punto1>'.$punto1.'</hdd_punto1>
    <hdd_punto2>'.$punto2.'</hdd_punto2>
    <hdd_numfac>'.$numfac.'</hdd_numfac>
	<hdd_stfin>'.$stfin.'</hdd_stfin>
</resultado>';
  
// 	<hdd_sql>'.$sql_exist.'</hdd_sql>
// 	<hdd_sql_error>'.mysql_error($link_vcrx).'</hdd_sql_error>

echo '
<input type="hidden" id="hdd_enti_cod" value="'.$enti_exist.'"  />
<input type="hidden" id="hdd_enti_descri" value="'.$descri_enti.'"  />
<input type="hidden" id="hdd_enti_concepto" value="'.$concepto_exist.'"  />
<input type="hidden" id="hdd_idxreg2" value="'.$idnum.'"  /> 
<input type="hidden" id="hdd_docuxreg2" value="'.$docur->tabla.'"  />
<input type="hidden" id="hdd_fecha" value="'.$fecha.'"  />
<input type="hidden" id="hdd_atrz_ruc" value="'.$atrz_ruc.'"  />
<input type="hidden" id="hdd_atrz_nume" value="'.$atrz_nume.'"  />
<input type="hidden" id="hdd_bode" value="'.$bode.'"  />
<input type="hidden" id="hdd_bode_descri" value="'.$bode_descri.'"  />
<input type="hidden" id="hdd_tobode" value="'.$tobode.'"  />
<input type="hidden" id="hdd_tobode_descri" value="'.$tobode_descri.'"  />
<input type="hidden" id="hdd_tobode" value="'.$tobode.'"  />
<input type="hidden" id="hdd_vendedor" value="'.$vendedor.'"  />
<input type="hidden" id="hdd_vendedor_descri" value="'.$vendedor_descri.'"  />
<input type="hidden" id="hdd_fecha_auto" value="'.$fecha_auto.'"  />
<input type="hidden" id="hdd_tiempo_auto" value="'.$tiempo_auto.'"  />
<input type="hidden" id="hdd_ruc_auto" value="'.$ruc_auto.'"  />
<input type="hidden" id="hdd_suco" value="'.$suco.'"  />
<input type="hidden" id="hdd_suco_descri" value="'.$suco_descri.'"  />
<input type="hidden" id="hdd_fpag" value="'.$fpag.'"  />
<input type="hidden" id="hdd_fpag_descri" value="'.$fpag_descri.'"  />
<input type="hidden" id="hdd_stfin" value="'.$stfin.'"  />
<input type="hidden" id="hdd_bldn" value="'.$bldn.'"  />
<input type="hidden" id="hdd_refnume" value="'.$refnume.'"  />
<input type="hidden" id="hdd_sntr" value="'.$sntr.'"  />
<input type="hidden" id="hdd_sntr_descri" value="'.$sntr_descri.'"  />
<input type="hidden" id="hdd_vhcl" value="'.$vhcl.'"  />
<input type="hidden" id="hdd_vhcl_descri" value="'.$vhcl_descri.'"  />
<input type="hidden" id="hdd_cedula1" value="'.$cedula1.'"  />
<input type="hidden" id="hdd_punto1" value="'.$punto1.'"  />
<input type="hidden" id="hdd_punto2" value="'.$punto2.'"  />
<input type="hidden" id="hdd_numfac" value="'.$numfac.'"  />
';

// <input type="hidden" id="hdd_sql" value="'.$sql_exist.'" />
// <input type="hidden" id="hdd_sql_error" value="'.mysql_error($link_vcrx).'" />


/////////
}

?>